import { InputProps } from '../types';
export declare const TextFieldInput: import("styled-components").StyledComponent<"input", import("styled-components").DefaultTheme, InputProps, never>;
export declare const PrefixSufix: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    hasHandler?: boolean | undefined;
}, never>;
export declare const Prefix: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    hasHandler?: boolean | undefined;
}, never>;
export declare const Sufix: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    hasHandler?: boolean | undefined;
}, never>;
